<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 504.10</title>
</head>

<body>

</body>
<script>
    class Person {
        constructor(personName, personAge, gender){
            this.personName = personName;
            this.personAge = personAge;
            this.gender = gender;
        }
        getPersonInfo(){
            return console.log(this.personName + " " + this.personAge + " " + this.gender);
        }
    }

    var v1 = new Person("Billy", 5, "male");
    console.log(v1.getPersonInfo() instanceof Person);
    console.log(v1.getPersonInfo());

    class Student extends Person{
        constructor(personName, personAge, gender,standard,collegeName,grade){
            super(personName, personAge, gender);
            this.standard = standard;
            this.collegeName = collegeName;
            this.grade = grade;
        }
        getStudentInfo(){
            console.log(`Standard: ${this.standard }`);
            console.log(`College Name: ${this.collegeName}`);
            console.log(`Grade: ${this.grade}`)
        }
        getGrade(){
            return console.log(`Grade: ${this.grade}`)
        }
        setGrade(){
            this.grade = 8 ;
            console.log(this.grade);
        }        
    }

    var student1 = new Student("John", 10,"female","great","Oxford Colleage", 10);
    console.log(student1.getStudentInfo());
    console.log(student1.getGrade());
    console.log(student1.setGrade());
    console.log(student1 instanceof Student);
</script>

</html>